=== debian/changelog ===
python3-defaults (3.2.3-5ubuntu1) quantal; urgency=low

  * Avoid TypeError in dh_python3 when maximum version is specified.
    LP: #1048091

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 10 Oct 2012 14:31:02 -0400

python3-defaults (3.2.3-5) unstable; urgency=low

  * dh_python3:
    - do not rewrite /usr/bin/python{,2.*} shebangs
      (Closes: #683294, /me still thinks it was a feature, not a bug)
    - parsing debian/control fields is now case insensitive
  * Change source format from native to 3.0 (native)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 02 Aug 2012 23:26:08 +0200

python3-defaults (3.2.3-4) unstable; urgency=high

  * py3clean: really close #681389

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jul 2012 22:45:47 -0600

python3-defaults (3.2.3-3) unstable; urgency=high

  * Yet another update in SHEBANG_RE to handle even more cases
  * test4 fixed to catch missing /usr/bin/python → /usr/bin/python3 rewrites
  * py3clean: accept --package *and* directory name at the same time
    (change missed in -1 upload, closes: #681389)
  * Bump minimum required python3 version to 3.2.3-3~ in packages with .py files
    (due to --package option that is added to py3compile/py3clean in rtupdate
    scripts)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Jul 2012 12:40:42 -0600

python3-defaults (3.2.3-2) unstable; urgency=high

  * Urgency high for grave bug because this will cause other packages to
    misbuild
  * Correct SHEBANG_RE in debpython/tools.py to not capture the 3 from python3
    (Closes: #681235)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jul 2012 11:51:46 -0400

python3-defaults (3.2.3-1) unstable; urgency=low

  * Bump upstream version to match current unstable/wheezy python3.2 version
  * dh_python3:
    - generates rtupdate scripts for private directories that compile files
      from given package only, add --compile-all to dh_python3's call if you
      want the old behaviour (i.e. compile also files (plugins?) provided by
      other packages, which do not use a helper/bytecompile them)
    - rewrite shebangs by default (disable via --no-shebang-rewrite),
      examples:
       + "/usr/bin/env python3*" → "/usr/bin/python3*"
       + "/usr/local/bin/python3 foo" → "/usr/bin/python3 foo"
    - new --shebang option to replace all shebangs in bin dirs
      (example: --shebang /usr/bin/python3)
    - translate Python version numbers into Debian ones for those
      require.txt items that have a pydist file with (uscan like) rules
      or PEP386 flag
  * py3versions, dh_python3, py3compile: allow to override system's list of
    supported Python3 versions via DEBPYTHON3_SUPPORTED and default Python3
    version via DEBPYTHON3_DEFAULT env. variables
  * Debhelper's python3 sequence now inserts dh_python3 before dh_installinit

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jun 2012 15:20:39 +0200

python3-defaults (3.2.3~rc2-1) unstable; urgency=low

  [ Scott Kitterman ]
  * Drop unused XS-Python-Version support from dh_python3
  * Remove unused debian/pyversions support from dh_python3
  * Remove unused support for comma delimited lists of versions with
    X-Python3-Version from py3versions and debpython/debhelper.py (dh_python3)
  * Clean up log messages in py3versions a bit
  * Remove unused code related to parsing debian/pyversions from
    debian/py3versions 
  * idle3 should Break as well as Replace python3
  * Correct Python package names with hyphens in them being ignored
    (Closes: #657667)
  * Fix python3.2 related deprecation and resource warnings in
    debian/py3versions.py (Closes: #670471)
  * Drop -n from /usr/bin/idle3 invocations in debian/idle.desktop and
    debian/idle.menu (Closes: #671704)
  * dh_python3, py3versions: make comparison of X-Python-Version field names
    case-insensitive (Closes: #676225)
    - Change based on Piotr Ożarowski's change for python-defaults
  * Bump upstream version number to match python3.2 (3.2.3~rc2)
  * Bump minimum debhelper version to 7.0.50~ to support minumum version
    needed by tests
  * Add debian/python3-minimal.postinst.in and python3-minimal.prerm to
    support byte compiling py3versions.py (Closes: #672226)
    - byte compiling only works if py3compile is present, which it may not be
      on fresh installs, but removing .pyc files is reliable (best we can do
      without moving py3compile to python3-minimal
  * Move /usr/bin/py3versions -> ../share/python3/py3versions.py symlink from
    python3 to python3-minimal to match the change in python-defaults
    - Add Breaks/Replaces

  [ Piotr Ożarowski ]
  * Generate correct python3 (<< 3.X) dependencies when maximum Python 3
    version is specified (Closes: #675703)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 05 Jun 2012 23:58:13 -0400
