## python3-defaults 3.2.3-5ubuntu1.2

=== pydist/Makefile ===
#!/usr/bin/make -f

clean:
	rm -rf cache
	#rm -f dist_fallback
	rm -f README.PyDist.html

dist_fallback: sources.list
	python3 ./generate_fallback_list.py --skip-sensible-names

README.PyDist.html: README.PyDist
	rst2html $< $@

.PHONY: clean
