=== tests/t4/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=python_distutils

override_dh_pysupport:
	DH_VERBOSE=1 ../../dh_python3
	DH_VERBOSE=1 ../../dh_python3 /usr/share/bar
	DH_VERBOSE=1 ../../dh_python3 /usr/share/baz32 --shebang '/usr/bin/python3.2 -OO'

clean:
	dh_clean
