## python3-defaults 3.2.3-6

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 # TESTS
 nose:
-	nosetests-3 --with-doctest --with-coverage
+	nosetests3 --with-doctest --with-coverage
 
 tests: nose
 	make -C tests
