=== debian/changelog ===
python3-defaults (3.2.3-6) unstable; urgency=low

  [ Piotr Ożarowski ]
  * dh_python3
    - ignore empty files while trying to normalize shebangs 
    - mention the right file (debian/py3dist-overrides) while warning about
      guessed dependency - thanks to Sebastian Ramacher for the patch
      (Closes: #685067)
    - fix generating dependencies when maximum version is specified
      (Closes: #687060)
  * py3versions.py: fix parsing DEBPYTHON3_SUPPORTED env. variable
    (versions should be separated using comma, as in debian_defaults
    config file)
  * py3versions, debpython: close previously opened files - thanks to Dmitry
    Shachnev for the patch (Closes: #686587)

  [ Dmitry Shachnev ]
  [ Barry Warsaw ]
  * py3clean: Don't remove everything in the __pycache__ directory for
    system site package directories. Prevents bogus cleaning of unrelated
    *.pyc files. Original patch by Dmitry, with review, clean up, small
    modifications, and additional comments by Barry. (Closes: #685167)

  [ Barry Warsaw ]
  * dh_python3: Rework calculation of extension tags to add support for
    Python 3.3's different suffixes, and to allow for unadorned .so files
    to assume they are built with the default Python 3 version.
    Closes: 672178
  * README.derivatives: It is no longer necessary to edit
    debian/py3versions.py since the values are taken from
    debian_defaults. Also added some text on how to separate the
    specification when multiple versions are supported.
  * Makefile: Fix the nosetests3 command. Closes: 690259

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 21 Oct 2012 21:29:45 +0200
