=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python3-defaults
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: Piotr Ożarowski <piotr@debian.org>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 7.0.50~), python
 Build-Depends-Indep: libhtml-tree-perl, debiandoc-sgml, python-docutils, lsb-release
@@ -12,9 +11,8 @@
 Vcs-Browser: http://alioth.debian.org/scm/loggerhead/pkg-python/python3-defaults-debian/files
 
 Package: python3
-Architecture: any
-Multi-Arch: allowed
-Depends: python3.2 (>= 3.2.3-6ubuntu3.2), python3-minimal (= ${binary:Version}), ${misc:Depends}
+Architecture: all
+Depends: python3.2 (>= 3.2.3), python3-minimal (= ${binary:Version}), ${misc:Depends}
 Suggests: python3-doc (>= ${binary:Version}), python3-tk (>= ${binary:Version})
 Replaces: python3-minimal (<< 3.1.2-2)
 Provides: python3-profiler
@@ -27,11 +25,10 @@
  Python 3 version (currently v3.2).
 
 Package: python3-minimal
-Architecture: any
-Multi-Arch: allowed
-Depends: python3.2-minimal (>= 3.2.3-6ubuntu3.2), dpkg (>= 1.13.20), ${misc:Depends}
+Architecture: all
+Depends: python3.2-minimal (>= 3.2.3), dpkg (>= 1.13.20), ${misc:Depends}
 Breaks: python3 (<< 3.2.3-1~), python3-dev (<< 3.1), python3-dbg (<< 3.1), python3-all (<< 3.1), python3-all-dev (<< 3.1), python3-all-dbg (<< 3.1), python3-examples (<< 3.1), idle3 (<< 3.1)
-Replaces: python3 (<< 3.2.3-5ubuntu1.2), python3.1 (<< 3.1-2)
+Replaces: python3 (<< 3.2.3-1~), python3.1 (<< 3.1-2)
 Description: minimal subset of the Python language (default python3 version)
  This package contains the interpreter and some essential modules.  It's used
  in the boot process for some basic tasks.
@@ -40,7 +37,7 @@
 
 Package: python3-examples
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3.2-examples (>= 3.2.3-6ubuntu3.2), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-examples (>= 3.2.3), ${misc:Depends}
 Description: examples for the Python language (default version)
  Examples, Demos and Tools for Python. These are files included in
  the upstream Python distribution.
@@ -49,8 +46,8 @@
  Python 3 version (currently v3.2).
 
 Package: python3-dev
-Architecture: any
-Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3-6ubuntu3.2), ${misc:Depends}
+Architecture: all
+Depends: python3 (= ${binary:Version}), python3.2-dev (>= 3.2.3), ${misc:Depends}
 Replaces: python3.1 (<< 3.1.2+20100706-3)
 Description: header files and a static library for Python (default)
  Header files, a static library and development tools for building
@@ -62,7 +59,7 @@
 
 Package: idle3
 Architecture: all
-Depends: python3 (>= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
+Depends: python3 (= ${binary:Version}), python3-tk, ${misc:Depends}, idle-python3.2
 Replaces: python3 (<< 3.2.3-1~)
 Breaks: python3 (<< 3.2.3-1~)
 Enhances: python3
@@ -76,7 +73,7 @@
 Package: python3-doc
 Section: doc
 Architecture: all
-Depends: python3.2-doc (>= 3.2.3-6ubuntu3.2), ${misc:Depends}
+Depends: python3.2-doc (>= 3.2.3), ${misc:Depends}
 Suggests: python3 (>= ${binary:Version}), python3-examples
 Description: documentation for the high-level object-oriented language Python 3
  This is the official set of documentation for the interactive high-level
@@ -97,17 +94,16 @@
  Python 3 version (currently v3.2).
 
 Package: python3-dbg
-Architecture: any
-Multi-Arch: allowed
+Architecture: all
 Section: debug
 Priority: extra
-Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3-6ubuntu3.2), ${misc:Depends}
+Depends: python3 (= ${binary:Version}), python3.2-dbg (>= 3.2.3), ${misc:Depends}
 Description: debug build of the Python 3 Interpreter (version 3.2)
  Python 3 interpreter configured with --pydebug. Dynamically loaded modules
  are searched in /usr/lib/python3.2/lib-dynload/debug first.
 
 Package: python3-all
-Architecture: any
+Architecture: all
 Depends: python3 (= ${binary:Version}), python3.2, ${misc:Depends}
 Description: package depending on all supported Python 3 runtime versions
  The package currently depends on python3.2, in the future,
@@ -118,7 +114,7 @@
  packages to avoid hardcoded dependencies on specific Python 3 runtimes.
 
 Package: python3-all-dev
-Architecture: any
+Architecture: all
 Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dev (= ${binary:Version}), python3.2-dev, ${misc:Depends}
 Description: package depending on all supported Python 3 development packages
  The package currently depends on python3.2-dev, in the
@@ -130,7 +126,7 @@
  packages.
 
 Package: python3-all-dbg
-Architecture: any
+Architecture: all
 Section: debug
 Priority: extra
 Depends: python3 (= ${binary:Version}), python3-all (= ${binary:Version}), python3-dbg (= ${binary:Version}), python3.2-dbg, ${misc:Depends}
