=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 export PVER=python3.2
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
-PREVVER := 3.2.3-6ubuntu3.2
+PREVVER := 3.2.3
 
 PWD		:= $(shell pwd)
 
@@ -166,53 +166,6 @@
 	dh_testroot -i
 	dh_installman -i
 
-ifeq ($(with_doc),yes)
-	mkdir -p debian/python3-doc/usr/share/doc/python3
-	ln -sf ../python$(VER)-doc/html \
-		debian/python3-doc/usr/share/doc/python3/html
-	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
-	ln -sf ../python$(VER)-doc/html \
-		debian/python3-doc/usr/share/doc/python3-doc/html
-endif
-
-	: # provide the idle and idle.1 defaults
-	mkdir -p debian/idle3/usr/bin
-	install -m 755 debian/idle.py debian/idle3/usr/bin/idle3
-
-	mkdir -p debian/idle3/usr/share/man/man1
-	install -m 644 debian/idle.1 debian/idle3/usr/share/man/man1/idle3.1
-
-	mkdir -p debian/idle3/usr/share/pixmaps
-	ln -sf python3.xpm debian/idle3/usr/share/pixmaps/idle3.xpm
-
-	mkdir -p debian/idle3/usr/share/applications
-	cp -p debian/idle3.desktop debian/idle3/usr/share/applications/
-
-#	dh_installdebconf -i $(NOPKGS)
-	dh_lintian -i
-	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
-	dh_installmenu -i $(NOPKGS)
-	dh_installchangelogs -i $(NOPKGS)
-
-	for p in examples idle3; do \
-	  [ $$p = idle3 ] || p=python3-$$p; \
-	  rm -rf debian/$$p/usr/share/doc/$$p; \
-	  ln -sf python3 debian/$$p/usr/share/doc/$$p; \
-	done
-
-	dh_compress -i $(NOPKGS)
-	dh_fixperms -i $(NOPKGS)
-	dh_installdeb -i $(NOPKGS)
-	dh_gencontrol -i $(NOPKGS)
-	dh_md5sums -i $(NOPKGS)
-	dh_builddeb -i $(NOPKGS)
-
-# Build architecture-dependent files here.
-binary-arch: build install
-	dh_testdir -a
-	dh_testroot -a
-	dh_installman -a
-
 	: # provide the python and python.1 defaults
 	mkdir -p debian/python3-minimal/usr/bin
 	ln -sf python$(VER) debian/python3-minimal/usr/bin/python3
@@ -272,6 +225,15 @@
 	done
 endif
 
+ifeq ($(with_doc),yes)
+	mkdir -p debian/python3-doc/usr/share/doc/python3
+	ln -sf ../python$(VER)-doc/html \
+		debian/python3-doc/usr/share/doc/python3/html
+	mkdir -p debian/python3-doc/usr/share/doc/python3-doc
+	ln -sf ../python$(VER)-doc/html \
+		debian/python3-doc/usr/share/doc/python3-doc/html
+endif
+
 ifeq (0,1)
 	mkdir -p debian/python3/usr/share/apps/konsole
 	cp -p debian/python.desktop debian/python3/usr/share/apps/konsole/
@@ -279,3 +241,25 @@
 
 	: # provide the python3-config default
 	mkdir -p debian/python3-dev/usr/bin
+	ln -sf python$(VER)mu-config debian/python3-dev/usr/bin/python3mu-config
+	mkdir -p debian/python3-dev/usr/share/man/man1
+	ln -sf python$(VER)mu-config.1.gz \
+		debian/python3-dev/usr/share/man/man1/python3mu-config.1.gz
+	ln -sf python$(VER)-config debian/python3-dev/usr/bin/python3-config
+	ln -sf python$(VER)-config.1.gz \
+		debian/python3-dev/usr/share/man/man1/python3-config.1.gz
+
+	: # provide pkgconfig defaults
+	mkdir -p debian/python3-dev/usr/lib/pkgconfig
+	ln -sf python-$(VER).pc debian/python3-dev/usr/lib/pkgconfig/python3.pc
+	mkdir -p debian/python3-dbg/usr/lib/pkgconfig
+	ln -sf python-$(VER)-dbg.pc debian/python3-dbg/usr/lib/pkgconfig/python3-dbg.pc
+
+	: # provide the python-dbg and python-dbg.1 defaults
+	mkdir -p debian/python3-dbg/usr/bin
+	ln -sf python$(VER)dmu debian/python3-dbg/usr/bin/python3dmu
+	ln -sf python$(VER)dmu-config debian/python3-dbg/usr/bin/python3dmu-config
+	ln -sf python$(VER)-dbg debian/python3-dbg/usr/bin/python3-dbg
+	ln -sf python$(VER)-dbg-config debian/python3-dbg/usr/bin/python3-dbg-config
+	mkdir -p debian/python3-dbg/usr/share/man/man1
+	ln -sf python$(VER)dmu.1.gz \
